rgl.bringtotop {rgl} | R Documentation

## Assign focus to an RGL window

### Description

'rgl.bringtotop' brings the current RGL window to the front of the window stack (and gives it focus).

### Usage

    rgl.bringtotop(stay = FALSE)

### Arguments

`stay` | whether to make the window stay on top.

### Details

If `stay` is `TRUE`, then the window will stay on top of normal windows.

### Note

not completely implemented for X11 graphics (stay not implemented; window managers such as KDE may block this action (set "Focus stealing prevention level" to None in Control Center/Window Behavior/Advanced)). Not currently implemented under OS/X.

### Author(s)

Ming Chen/Duncan Murdoch

### See Also

`bringToTop`

### Examples

    rgl.open()
    rgl.points(rnorm(1000), rnorm(1000), rnorm(1000), color = heat.colors(1000))
    rgl.bringtotop(stay = TRUE)

[Package rgl version 0.99.16 Index]